/customers Returns a paginated list of customers. Use the query parameters to page through results.
By default, Paddle returns customers that are active. Use the status query parameter to return customers that are archived.
customer.read
permission.
Query parameters
meta.pagination.next URL in responses for list operations.50Set how many entities are returned per page. Paddle returns the maximum number of results if a number greater than the maximum is requested. Check meta.pagination.per_page in the response to see how many were returned.
Default: 50; Maximum: 200.
id[DESC]Order returned entities by the specified field and direction ([ASC] or [DESC]). For example, ?order_by=id[ASC].
Valid fields for ordering: id.
activeactiveReturn entities where the status isactive. Returned entities can be used in Paddle and are returned when listing entities.archivedReturn entities where the status isarchived. Returned entities can't be used for billing and aren't returned when listing entities.
id, name, and email fields. Use the email query parameter for precise matching of email addresses.Header parameters
true to skip the count query on list operations. When set, meta.pagination.estimated_total returns -1 instead of an exact count.Response (200)
ctm_01grnn4zta5a1mf02jjze7y2ysctm_.^ctm_[a-z\d]{26}$collection_mode is manual (invoices).test@paddle.comfalsefalse unless customers check the marketing consent box
when using Paddle Checkout. Set automatically by Paddle.activeactiveEntity is active and can be used.archivedEntity is archived, so can't be used.
{"customer_reference_id":"abcd1234"}enen.2024-10-12T07:20:50.52Z2024-10-13T07:20:50.52Znull if this entity is not imported.9b95b0b8-e10f-441a-862e-1936a6d818abpaddle_classicb15ec92e-8688-40d4-a04d-f44cbec93355after parameter that marks the starting point of the next page. Always returned, even if has_more is false.999Estimated number of entities for this response.
For datasets with 100,000 or fewer matches, returns the exact count. For datasets with more than 100,000 matches, returns 100001 to indicate that more than 100,000 entities match. Returns -1 when counting is skipped or couldn't be calculated.
Use has_more and next to page through all results rather than relying on estimated_total for an exact count.
{ "data": [ { "id": "ctm_01hv6y1jedq4p1n0yqn5ba3ky4", "status": "active", "custom_data": null, "name": "Jo Brown-Anderson", "email": "jo@example.com", "marketing_consent": false, "locale": "en", "created_at": "2024-04-11T15:57:24.813Z", "updated_at": "2024-04-11T15:59:56.658719Z", "import_meta": null }, { "id": "ctm_01h844q4mznqpgqgm6evgw1w63", "status": "active", "custom_data": null, "name": "Jamie Price", "email": "jamie@example.com", "marketing_consent": false, "locale": "en", "created_at": "2023-08-18T10:58:05.087Z", "updated_at": "2024-04-11T15:55:02.727195Z", "import_meta": null }, { "id": "ctm_01h844p3h41s12zs5mn4axja51", "status": "active", "custom_data": null, "name": "Alex Wilson", "email": "alex@example.com", "marketing_consent": false, "locale": "en", "created_at": "2023-08-18T10:57:31.172Z", "updated_at": "2024-04-11T15:55:19.492484Z", "import_meta": null }, { "id": "ctm_01hrffh7gvp29kc7xahm8wddwa", "status": "active", "custom_data": null, "name": "Sam Miller", "email": "sam@example.com", "marketing_consent": false, "locale": "en", "created_at": "2024-03-08T16:49:53.691Z", "updated_at": "2024-04-11T16:03:57.924146Z", "import_meta": null } ], "meta": { "request_id": "913dee78-d496-4d13-a93e-09d834c208dd", "pagination": { "per_page": 50, "next": "https://api.paddle.com/customers?after=ctm_01h8441jn5pcwrfhwh78jqt8hk", "has_more": false, "estimated_total": 4 } }}